## mplcursors 0.3

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = mplcursors
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
mplcursors (0.3-3) unstable; urgency=medium

  * Mark python team as maintainer
  * Move Vcs under python team in salsa.
  * Add salsa-ci.yml file to enable salsa pipelines.
  * Update from upstream master.
    - Updating fixes FTBFS. (Closes: #966995)
  * Use MPLCONFIGDIR to fix an autopkgtest.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 07 Aug 2020 20:04:29 +0100

mplcursors (0.3-2) unstable; urgency=medium

  * Source only upload.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 28 Jun 2020 22:28:45 +0100

mplcursors (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #959870)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 11 May 2020 23:32:45 +0100

=== debian/control ===
Source: mplcursors
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), python3-all, python3-cycler,
               python3-setuptools, dh-sequence-python3,
               python3-matplotlib,
               python3-setuptools-scm, python3-pytest,
               libopenblas-base, dh-python
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/anntzer/mplcursors
Vcs-Browser: https://salsa.debian.org/python-team/modules/mplcursors
Vcs-Git: https://salsa.debian.org/python-team/modules/mplcursors.git

Package: python3-mplcursors
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libopenblas-base
Description: Interactive data selection cursors for Matplotlib
 mplcursors provides interactive data selection cursors for
 Matplotlib. It is inspired from mpldatacursor, with a much
 simplified API.
 .
 This package installs the library for Python 3.

## mplcursors 0.4

=== debian/changelog ===
mplcursors (0.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sudip Mukherjee ]
  * New upstream version 0.4
    - Remove upstream applied patch.
  * Update Standards-Version to 4.5.1

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 26 Dec 2020 14:03:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: mplcursors
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), python3-all, python3-cycler,
                python3-setuptools, dh-sequence-python3,
                python3-matplotlib,
                python3-setuptools-scm, python3-pytest,
                libopenblas-base, dh-python
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/anntzer/mplcursors
-Vcs-Browser: https://salsa.debian.org/python-team/modules/mplcursors
-Vcs-Git: https://salsa.debian.org/python-team/modules/mplcursors.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mplcursors
+Vcs-Git: https://salsa.debian.org/python-team/packages/mplcursors.git
 
 Package: python3-mplcursors
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mplcursors

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-matplotlib, libopenblas-base, python3-pytest

## mplcursors 0.5.1

=== debian/changelog ===
mplcursors (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.1
    Supports matplotlib > 3.5. Closes: #999518
  * d/gbp.conf: Set debian/master as default branch.
  * Change from transitional openblas package to libopenblas0. Closes: #994469
  * Update Standards-Version to 4.6.0.
  * Update copyright year.
  * d/source/options: Ignore .egg-info files. Prevent ftbfs when
    building twice in a row.
  * Drop build dependency on dh-sequence-python3, not needed.
  * autopkgtest:
    - Specify python3-all as dependency.
    - Drop dependencies specified in the binary package.
    - Don't check if AUTOPKGTEST_TMP exists.
  * At build time and when running autopkgtest, copy examples folder
    to enable more tests.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 28 Nov 2021 10:46:02 +0000

=== debian/control ===
Source: mplcursors
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), python3-all, python3-cycler,
               python3-setuptools,
               python3-matplotlib,
               python3-setuptools-scm, python3-pytest,
               libopenblas0, dh-python
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/anntzer/mplcursors
Vcs-Browser: https://salsa.debian.org/python-team/packages/mplcursors
Vcs-Git: https://salsa.debian.org/python-team/packages/mplcursors.git

Package: python3-mplcursors
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libopenblas0
Description: Interactive data selection cursors for Matplotlib
 mplcursors provides interactive data selection cursors for
 Matplotlib. It is inspired from mpldatacursor, with a much
 simplified API.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/mplcursors-$1\.tar\.gz/ \
  https://github.com/anntzer/mplcursors/tags .*/v?(\d\S+)\.tar\.gz

## mplcursors 0.5.2

=== debian/changelog ===
mplcursors (0.5.2-3) unstable; urgency=medium

  * Add upstream patch to use raw string and fix FTBFS. (Closes: #1058443)
  * Update Standards-Version to 4.6.2
    - No changes needed.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 22 Dec 2023 10:21:58 +0000

mplcursors (0.5.2-2) unstable; urgency=medium

  * Remove dependency on libopenblas. (Closes: #1028097)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 09 Jan 2023 20:34:59 +0000

mplcursors (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
    - New version works with matplotlib/3.6.2. (Closes: #1027171)
  * Update Standards-Version to 4.6.1.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Jan 2023 21:27:06 +0000

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                python3-setuptools,
                python3-matplotlib,
                python3-setuptools-scm, python3-pytest,
-               libopenblas0, dh-python
-Standards-Version: 4.6.0
+               dh-python
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/anntzer/mplcursors
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mplcursors
@@ -16,7 +16,7 @@
 
 Package: python3-mplcursors
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, libopenblas0
+Depends: ${python3:Depends}, ${misc:Depends}
 Description: Interactive data selection cursors for Matplotlib
  mplcursors provides interactive data selection cursors for
  Matplotlib. It is inspired from mpldatacursor, with a much

## mplcursors 0.5.3

=== debian/changelog ===
mplcursors (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3
    - Remove upstream applied patches.
  * Apply upstream changes to fix tests failure. (Closes: #1063979, #1067255)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 18 Apr 2024 20:19:13 +0100

## mplcursors 0.6

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = mplcursors
 SOURCEDIR     = source
 BUILDDIR      = build

=== debian/changelog ===
mplcursors (0.6-2) unstable; urgency=medium

  * Team upload.
  * Add patch for Matplotlib 3.10 compatibility

 -- Alexandre Detiste <tchet@debian.org>  Tue, 18 Mar 2025 00:46:36 +0100

mplcursors (0.6-1) unstable; urgency=medium

  * New upstream version 0.6
    - Remove upstream applied patch.
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 04 Nov 2024 20:36:40 +0000

=== debian/control ===
Source: mplcursors
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Sudip Mukherjee <sudipm.mukherjee@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-cycler,
 python3-matplotlib,
 python3-pytest,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/anntzer/mplcursors
Vcs-Browser: https://salsa.debian.org/python-team/packages/mplcursors
Vcs-Git: https://salsa.debian.org/python-team/packages/mplcursors.git
X-Style: black

Package: python3-mplcursors
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Interactive data selection cursors for Matplotlib
 mplcursors provides interactive data selection cursors for
 Matplotlib. It is inspired from mpldatacursor, with a much
 simplified API.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mplcursors
export PYBUILD_BEFORE_TEST=cp -rv {dir}/examples {build_dir}/examples
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/examples

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python3-all,
 python3-pytest,
 @,
